[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# RightStr

Copy a given number of characters, counting from the right of a string.

## Declaration

Source position: line 0

`function RightStr(`
`const AText: AnsiString;`
`const ACount: Integer`
`):AnsiString; function RightStr(`
`const AText: WideString;`
`const ACount: Integer`
`):WideString;`

## Arguments

`AText` |  | String to copy characters from.
`ACount` |  | Number of characters to copy.

## Function result

Resulting string.

## Arguments

`AText` |  | String to copy characters from.
`ACount` |  | Number of characters to copy.

## Description

RightStr returns a string containing the rightmost ACount characters from the string AText . If ACount is larger than the length (in characters) of AText , only as many characters as available are returned.

## Errors

None.

## See also

LeftStr |  | Copies Count characters starting at the left of a string.
AnsiRightStr |  | Copies a number of characters starting at the right of a string
RightBStr |  | Copy a given number of characters (bytes), counting from the right of a string.
MidStr |  | Copies a number of characters starting at a given position in a string.

Documentation generated on: Feb 26 2014